local createCompositionPIL = nil
local createComposition21_ofis_manager = nil
local createCompositionFon = nil
local createCompositionKamin = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/05_office/main/anim/bg/"
---------------------------------------------------------------------------------------
function Loader_05_BG_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionFon,		                'bg',		        0,0, 1, 512,384, true),
		},
		{
			function (element, textureName)
				if textureName == "[1-12].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,114,100)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "[1-2].png" then
					local anim = element:GetTexture()
					anim:SetFrames(2)
					anim:SetTextureRect(0,0,50,67)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Sneg2.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "fire_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(48)
					anim:SetTextureRect(0,0,59,38)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "l.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "ogon.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
				if textureName == "smoke_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,58,44)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "t_light.png" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionPIL = function()
	local compositionPIL = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPIL:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_1")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 687.43147277832)
	effector:SetKey(_TRACK_Y, 0, 203.370559692383)
	effector:SetKey(_TRACK_X, 2.75, 537.989852905273)
	effector:SetKey(_TRACK_Y, 2.75, 256.649749755859)
	effector:SetKey(_TRACK_X, 4.41666666666667, 547.157657890843)
	effector:SetKey(_TRACK_Y, 4.41666666666667, 280.218572131536)
	effector:SetKey(_TRACK_X, 7.54166666666667, 584.837592342997)
	effector:SetKey(_TRACK_Y, 7.54166666666667, 339.274022417342)
	effector:SetKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 203.370559692383)
	effector:SetKey(_TRACK_SX, 0, 0.75)
	effector:SetKey(_TRACK_SY, 0, 0.75)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.75)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.75)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 4, 1)
	effector:SetKey(_TRACK_O, 7.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_2")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 687.43147277832)
	effector:SetKey(_TRACK_Y, 0, 478.862945556641)
	effector:SetKey(_TRACK_X, 6.45833333333333, 494.43147277832)
	effector:SetKey(_TRACK_Y, 6.45833333333333, 352.862945556641)
	effector:SetKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 478.862945556641)
	effector:SetKey(_TRACK_SX, 0, 0.18)
	effector:SetKey(_TRACK_SY, 0, 0.18)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.18)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.18)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 4.04166666666667, 1)
	effector:SetKey(_TRACK_O, 6.45833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_3")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 327.472076416016)
	effector:SetKey(_TRACK_Y, 0, 220.263961791992)
	effector:SetKey(_TRACK_X, 7.29166666666667, 424.934005737305)
	effector:SetKey(_TRACK_Y, 7.29166666666667, 319.025390625)
	effector:SetKey(_TRACK_X, 7.95833333333333, 327.472076416016)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 220.263961791992)
	effector:SetKey(_TRACK_SX, 0, 0.58)
	effector:SetKey(_TRACK_SY, 0, 0.58)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 4.25, 1)
	effector:SetKey(_TRACK_O, 7.33333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_4")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
	element:SetOpacity(0.74)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 626.355331420898)
	effector:SetKey(_TRACK_Y, 0, 351.5126953125)
	effector:SetKey(_TRACK_X, 1.20833333333333, 596.467010498047)
	effector:SetKey(_TRACK_Y, 1.20833333333333, 335.918792724609)
	effector:SetKey(_TRACK_X, 2.41666666666667, 565.431600728514)
	effector:SetKey(_TRACK_Y, 2.41666666666667, 364.700146583924)
	effector:SetKey(_TRACK_X, 3.70833333333333, 574.438329191502)
	effector:SetKey(_TRACK_Y, 3.70833333333333, 405.808160540204)
	effector:SetKey(_TRACK_X, 5.41666666666667, 610.901271150064)
	effector:SetKey(_TRACK_Y, 5.41666666666667, 413.87137306255)
	effector:SetKey(_TRACK_X, 6.45833333333333, 640.6258042686)
	effector:SetKey(_TRACK_Y, 6.45833333333333, 388.31440589315)
	effector:SetKey(_TRACK_X, 7.95833333333333, 626.355331420898)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 351.5126953125)
	effector:SetKey(_TRACK_SX, 0, 0.58)
	effector:SetKey(_TRACK_SY, 0, 0.58)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_5")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
	element:SetOpacity(0.74)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 495.106597900391)
	effector:SetKey(_TRACK_Y, 0, 243.654830932617)
	effector:SetKey(_TRACK_X, 0.83333333333333, 460.020309448242)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 254.050765991211)
	effector:SetKey(_TRACK_X, 1.75, 464.534351877902)
	effector:SetKey(_TRACK_Y, 1.75, 287.799560680961)
	effector:SetKey(_TRACK_X, 2.91666666666667, 497.226845175212)
	effector:SetKey(_TRACK_Y, 2.91666666666667, 306.564447798246)
	effector:SetKey(_TRACK_X, 3.95833333333333, 529.368989847003)
	effector:SetKey(_TRACK_Y, 3.95833333333333, 306.719179105075)
	effector:SetKey(_TRACK_X, 4.91666666666667, 545.115430960404)
	effector:SetKey(_TRACK_Y, 4.91666666666667, 276.847634074687)
	effector:SetKey(_TRACK_X, 5.83333333333333, 536.754114661612)
	effector:SetKey(_TRACK_Y, 5.83333333333333, 247.044506583517)
	effector:SetKey(_TRACK_X, 7.25, 521.580740651409)
	effector:SetKey(_TRACK_Y, 7.25, 228.039725667131)
	effector:SetKey(_TRACK_X, 7.95833333333333, 495.106597900391)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 243.654830932617)
	effector:SetKey(_TRACK_SX, 0, 0.4)
	effector:SetKey(_TRACK_SY, 0, 0.4)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_6")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
	element:SetOpacity(0.74)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 439.228424072266)
	effector:SetKey(_TRACK_Y, 0, 468.467010498047)
	effector:SetKey(_TRACK_X, 1.54166666666667, 427.532989501953)
	effector:SetKey(_TRACK_Y, 1.54166666666667, 490.558380126953)
	effector:SetKey(_TRACK_X, 2.66666666666667, 438.679956958737)
	effector:SetKey(_TRACK_Y, 2.66666666666667, 516.57350412003)
	effector:SetKey(_TRACK_X, 3.75, 463.482594935107)
	effector:SetKey(_TRACK_Y, 3.75, 523.618334748734)
	effector:SetKey(_TRACK_X, 4.58333333333333, 478.172176028744)
	effector:SetKey(_TRACK_Y, 4.58333333333333, 516.595766766942)
	effector:SetKey(_TRACK_X, 5.41666666666667, 481.549274759467)
	effector:SetKey(_TRACK_Y, 5.41666666666667, 500.811070791084)
	effector:SetKey(_TRACK_X, 6.45833333333333, 474.60050927888)
	effector:SetKey(_TRACK_Y, 6.45833333333333, 484.956256132337)
	effector:SetKey(_TRACK_X, 7.95833333333333, 439.228424072266)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 468.467010498047)
	effector:SetKey(_TRACK_SX, 0, 0.4)
	effector:SetKey(_TRACK_SY, 0, 0.4)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_7")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
	element:SetOpacity(0.74)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 372.954315185547)
	effector:SetKey(_TRACK_Y, 0, 325.522842407227)
	effector:SetKey(_TRACK_X, 1.58333333333333, 358.659896850586)
	effector:SetKey(_TRACK_Y, 1.58333333333333, 355.411163330078)
	effector:SetKey(_TRACK_X, 2.83333333333333, 383.04448999664)
	effector:SetKey(_TRACK_Y, 2.83333333333333, 386.012938600043)
	effector:SetKey(_TRACK_X, 4.16666666666667, 407.708003965358)
	effector:SetKey(_TRACK_Y, 4.16666666666667, 374.169742441612)
	effector:SetKey(_TRACK_X, 5.5, 412.380094673341)
	effector:SetKey(_TRACK_Y, 5.5, 354.46382889681)
	effector:SetKey(_TRACK_X, 6.66666666666667, 400.166503018291)
	effector:SetKey(_TRACK_Y, 6.66666666666667, 331.632291455858)
	effector:SetKey(_TRACK_X, 7.95833333333333, 372.954315185547)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 325.522842407227)
	effector:SetKey(_TRACK_SX, 0, 0.5)
	effector:SetKey(_TRACK_SY, 0, 0.5)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:SetName("Layer_8")
	compositionPIL:AddElement(element)
	element:SetHotSpot(77, 57.5)
	element:SetParentElement(compositionPIL)
	element:SetOpacity(0.74)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_X, 0, 512)
	effector:SetKey(_TRACK_Y, 0, 384)
	effector:SetKey(_TRACK_X, 2.125, 454.822341918945)
	effector:SetKey(_TRACK_Y, 2.125, 420.385787963867)
	effector:SetKey(_TRACK_X, 3.91666666666667, 503.651483868985)
	effector:SetKey(_TRACK_Y, 3.91666666666667, 459.367142179874)
	effector:SetKey(_TRACK_X, 5.91666666666667, 548.658148776434)
	effector:SetKey(_TRACK_Y, 5.91666666666667, 414.172034854585)
	effector:SetKey(_TRACK_X, 7.95833333333333, 512)
	effector:SetKey(_TRACK_Y, 7.95833333333333, 384)
	effector:SetKey(_TRACK_SX, 0, 0.5)
	effector:SetKey(_TRACK_SY, 0, 0.5)
	effector:SetKey(_TRACK_SX, 3.91666666666667, 0.73)
	effector:SetKey(_TRACK_SY, 3.91666666666667, 0.73)
	effector:SetKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:SetKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 4.41666666666667, 2.6703537525)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0)
	effector:Play()
 
	compositionPIL:Play()
 
	return compositionPIL
end
 
createComposition21_ofis_manager = function()
	local composition21_ofis_manager = CreateCompositionSequence()
	local compositionDuration = 8
	composition21_ofis_manager:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionPIL()
	element:SetName("Layer_1")
	composition21_ofis_manager:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(composition21_ofis_manager)
	element:SetXY(512, 384)
 
	element:SetOpacity(0.48)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
	composition21_ofis_manager:Play()
 
	return composition21_ofis_manager
end
 
createCompositionFon = function()
	local compositionFon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionFon:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createComposition21_ofis_manager()
	element:SetName("Layer_1")
	compositionFon:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionFon)
	element:SetXY(368, 426)
 
	element:SetScaleX(1.04296875)
	element:SetScaleY(1.08072916666667)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."[1-12].png")
	element:SetName("Layer_2")
	compositionFon:AddElement(element)
	element:SetHotSpot(57, 50)
	element:SetParentElement(compositionFon)
	element:SetXY(41, 40)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."[1-2].png")
	element:SetName("Layer_3")
	compositionFon:AddElement(element)
	element:SetHotSpot(25, 33.5)
	element:SetParentElement(compositionFon)
	element:SetScaleX(0.16)
	element:SetScaleY(0.15671641791045)
	element:SetAngle(0.40489178582243)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.29166666666667, 4.04166666666667)
	effector:SetKey(_TRACK_X, 1.33333333333333, -5.25)
	effector:SetKey(_TRACK_Y, 1.33333333333333, 111.5)
	effector:SetKey(_TRACK_X, 3.95833333333333, 64.75)
	effector:SetKey(_TRACK_Y, 3.95833333333333, -4.75)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."okno.png")
	element:SetName("Layer_4")
	compositionFon:AddElement(element)
	element:SetHotSpot(-1, 106)
	element:SetParentElement(compositionFon)
	element:SetXY(365, 267)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.242431640625, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 0.242431640625, 1)
	effector:SetKey(_TRACK_SX, 0.48486328125, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 0.48486328125, 1)
	effector:SetKey(_TRACK_SX, 0.66666666666667, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 0.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 0.84847005208333, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 0.84847005208333, 1)
	effector:SetKey(_TRACK_SX, 1.09090169270833, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 1.09090169270833, 1)
	effector:SetKey(_TRACK_SX, 1.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 1.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 1.57576497395833, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 1.57576497395833, 1)
	effector:SetKey(_TRACK_SX, 1.81819661458333, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 1.81819661458333, 1)
	effector:SetKey(_TRACK_SX, 2, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:SetKey(_TRACK_SX, 2.18180338541667, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 2.18180338541667, 1)
	effector:SetKey(_TRACK_SX, 2.42423502604167, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 2.42423502604167, 1)
	effector:SetKey(_TRACK_SX, 2.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 2.90909830729167, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 2.90909830729167, 1)
	effector:SetKey(_TRACK_SX, 3.15152994791667, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 3.15152994791667, 1)
	effector:SetKey(_TRACK_SX, 3.33333333333333, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 3.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.51513671875, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 3.51513671875, 1)
	effector:SetKey(_TRACK_SX, 3.757568359375, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 3.757568359375, 1)
	effector:SetKey(_TRACK_SX, 4, 1)
	effector:SetKey(_TRACK_SY, 4, 1)
	effector:SetKey(_TRACK_SX, 4.242431640625, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 4.242431640625, 1)
	effector:SetKey(_TRACK_SX, 4.48486328125, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 4.48486328125, 1)
	effector:SetKey(_TRACK_SX, 4.66666666666667, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 4.84847005208333, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 4.84847005208333, 1)
	effector:SetKey(_TRACK_SX, 5.09090169270833, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 5.09090169270833, 1)
	effector:SetKey(_TRACK_SX, 5.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 5.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 5.57576497395833, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 5.57576497395833, 1)
	effector:SetKey(_TRACK_SX, 5.81819661458333, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 5.81819661458333, 1)
	effector:SetKey(_TRACK_SX, 6, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 6, 1)
	effector:SetKey(_TRACK_SX, 6.18180338541667, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 6.18180338541667, 1)
	effector:SetKey(_TRACK_SX, 6.42423502604167, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 6.42423502604167, 1)
	effector:SetKey(_TRACK_SX, 6.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 6.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 6.90909830729167, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 6.90909830729167, 1)
	effector:SetKey(_TRACK_SX, 7.15152994791667, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 7.15152994791667, 1)
	effector:SetKey(_TRACK_SX, 7.33333333333333, 0.9620253164557)
	effector:SetKey(_TRACK_SY, 7.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 7.51513671875, 0.96962025316456)
	effector:SetKey(_TRACK_SY, 7.51513671875, 1)
	effector:SetKey(_TRACK_SX, 7.757568359375, 0.98987341772152)
	effector:SetKey(_TRACK_SY, 7.757568359375, 1)
	effector:SetKey(_TRACK_SX, 8, 1)
	effector:SetKey(_TRACK_SY, 8, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."okno2.png")
	element:SetName("Layer_5")
	compositionFon:AddElement(element)
	element:SetHotSpot(76, 98)
	element:SetParentElement(compositionFon)
	element:SetXY(549, 274)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.26668294270833, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 0.26668294270833, 1)
	effector:SetKey(_TRACK_SX, 0.5333251953125, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 0.5333251953125, 1)
	effector:SetKey(_TRACK_SX, 0.80000813802083, 1.02631578947368)
	effector:SetKey(_TRACK_SY, 0.80000813802083, 1)
	effector:SetKey(_TRACK_SX, 1.066650390625, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 1.066650390625, 1)
	effector:SetKey(_TRACK_SX, 1.33333333333333, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 1.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 1.60001627604167, 1)
	effector:SetKey(_TRACK_SY, 1.60001627604167, 1)
	effector:SetKey(_TRACK_SX, 1.86665852864583, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 1.86665852864583, 1)
	effector:SetKey(_TRACK_SX, 2.13334147135417, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 2.13334147135417, 1)
	effector:SetKey(_TRACK_SX, 2.39998372395833, 1.02631578947368)
	effector:SetKey(_TRACK_SY, 2.39998372395833, 1)
	effector:SetKey(_TRACK_SX, 2.66666666666667, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 2.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 2.933349609375, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 2.933349609375, 1)
	effector:SetKey(_TRACK_SX, 3.19999186197917, 1)
	effector:SetKey(_TRACK_SY, 3.19999186197917, 1)
	effector:SetKey(_TRACK_SX, 3.4666748046875, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 3.4666748046875, 1)
	effector:SetKey(_TRACK_SX, 3.73331705729167, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 3.73331705729167, 1)
	effector:SetKey(_TRACK_SX, 4, 1.02631578947368)
	effector:SetKey(_TRACK_SY, 4, 1)
	effector:SetKey(_TRACK_SX, 4.26668294270833, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 4.26668294270833, 1)
	effector:SetKey(_TRACK_SX, 4.5333251953125, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 4.5333251953125, 1)
	effector:SetKey(_TRACK_SX, 4.80000813802083, 1)
	effector:SetKey(_TRACK_SY, 4.80000813802083, 1)
	effector:SetKey(_TRACK_SX, 5.066650390625, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 5.066650390625, 1)
	effector:SetKey(_TRACK_SX, 5.33333333333333, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 5.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 5.60001627604167, 1.02631578947368)
	effector:SetKey(_TRACK_SY, 5.60001627604167, 1)
	effector:SetKey(_TRACK_SX, 5.86665852864583, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 5.86665852864583, 1)
	effector:SetKey(_TRACK_SX, 6.13334147135417, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 6.13334147135417, 1)
	effector:SetKey(_TRACK_SX, 6.39998372395833, 1)
	effector:SetKey(_TRACK_SY, 6.39998372395833, 1)
	effector:SetKey(_TRACK_SX, 6.66666666666667, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 6.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 6.933349609375, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 6.933349609375, 1)
	effector:SetKey(_TRACK_SX, 7.19999186197917, 1.02631578947368)
	effector:SetKey(_TRACK_SY, 7.19999186197917, 1)
	effector:SetKey(_TRACK_SX, 7.4666748046875, 1.01973684210526)
	effector:SetKey(_TRACK_SY, 7.4666748046875, 1)
	effector:SetKey(_TRACK_SX, 7.73331705729167, 1.00657894736842)
	effector:SetKey(_TRACK_SY, 7.73331705729167, 1)
	effector:SetKey(_TRACK_SX, 8, 1)
	effector:SetKey(_TRACK_SY, 8, 1)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionKamin()
	element:SetName("Layer_6")
	compositionFon:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionFon)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Kreslo.png")
	element:SetName("Layer_7")
	compositionFon:AddElement(element)
	element:SetHotSpot(157, 312)
	element:SetParentElement(compositionFon)
	element:SetXY(269, 612)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 0, -0.04046532032121)
	effector:SetKey(_TRACK_A, 0.33333333333333, -0.0345735751926)
	effector:SetKey(_TRACK_A, 1, -0.01100659467817)
	effector:SetKey(_TRACK_A, 1.33333333333333, -0.00511484954956)
	effector:SetKey(_TRACK_A, 1.66666666666667, -0.01100659467817)
	effector:SetKey(_TRACK_A, 2.33333333333333, -0.0345735751926)
	effector:SetKey(_TRACK_A, 2.66666666666667, -0.04046532032121)
	effector:SetKey(_TRACK_A, 3, -0.0345735751926)
	effector:SetKey(_TRACK_A, 3.66666666666667, -0.01100659467817)
	effector:SetKey(_TRACK_A, 4, -0.00511484954956)
	effector:SetKey(_TRACK_A, 4.33333333333333, -0.01100659467817)
	effector:SetKey(_TRACK_A, 5, -0.0345735751926)
	effector:SetKey(_TRACK_A, 5.33333333333333, -0.04046532032121)
	effector:SetKey(_TRACK_A, 5.66666666666667, -0.0345735751926)
	effector:SetKey(_TRACK_A, 6.33333333333333, -0.01100659467817)
	effector:SetKey(_TRACK_A, 6.66666666666667, -0.00511484954956)
	effector:SetKey(_TRACK_A, 7, -0.01100659467817)
	effector:SetKey(_TRACK_A, 7.66666666666667, -0.0345735751926)
	effector:SetKey(_TRACK_A, 8, -0.04046532032121)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."mayatn.png")
	element:SetName("Layer_8")
	compositionFon:AddElement(element)
	element:SetHotSpot(21.477419293867, -0.56127901234095)
	element:SetParentElement(compositionFon)
	element:SetXY(90.3612999091014, 273.516144083362)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_A, 0, 0.01792014115113)
	effector:SetKey(_TRACK_A, 0.26668294270833, 0.00849258156677)
	effector:SetKey(_TRACK_A, 0.5333251953125, -0.01036253760195)
	effector:SetKey(_TRACK_A, 0.80000813802083, -0.01979009718632)
	effector:SetKey(_TRACK_A, 1.066650390625, -0.01036253760195)
	effector:SetKey(_TRACK_A, 1.33333333333333, 0.00849258156677)
	effector:SetKey(_TRACK_A, 1.60001627604167, 0.01792014115113)
	effector:SetKey(_TRACK_A, 1.86665852864583, 0.00849258156677)
	effector:SetKey(_TRACK_A, 2.13334147135417, -0.01036253760195)
	effector:SetKey(_TRACK_A, 2.39998372395833, -0.01979009718632)
	effector:SetKey(_TRACK_A, 2.66666666666667, -0.01036253760195)
	effector:SetKey(_TRACK_A, 2.933349609375, 0.00849258156677)
	effector:SetKey(_TRACK_A, 3.19999186197917, 0.01792014115113)
	effector:SetKey(_TRACK_A, 3.4666748046875, 0.00849258156677)
	effector:SetKey(_TRACK_A, 3.73331705729167, -0.01036253760195)
	effector:SetKey(_TRACK_A, 4, -0.01979009718632)
	effector:SetKey(_TRACK_A, 4.26668294270833, -0.01036253760195)
	effector:SetKey(_TRACK_A, 4.5333251953125, 0.00849258156677)
	effector:SetKey(_TRACK_A, 4.80000813802083, 0.01792014115113)
	effector:SetKey(_TRACK_A, 5.066650390625, 0.00849258156677)
	effector:SetKey(_TRACK_A, 5.33333333333333, -0.01036253760195)
	effector:SetKey(_TRACK_A, 5.60001627604167, -0.01979009718632)
	effector:SetKey(_TRACK_A, 5.86665852864583, -0.01036253760195)
	effector:SetKey(_TRACK_A, 6.13334147135417, 0.00849258156677)
	effector:SetKey(_TRACK_A, 6.39998372395833, 0.01792014115113)
	effector:SetKey(_TRACK_A, 6.66666666666667, 0.00849258156677)
	effector:SetKey(_TRACK_A, 6.933349609375, -0.01036253760195)
	effector:SetKey(_TRACK_A, 7.19999186197917, -0.01979009718632)
	effector:SetKey(_TRACK_A, 7.4666748046875, -0.01036253760195)
	effector:SetKey(_TRACK_A, 7.73331705729167, 0.00849258156677)
	effector:SetKey(_TRACK_A, 8, 0.01792014115113)
	effector:Play()
 
	compositionFon:Play()
 
	return compositionFon
end
 
createCompositionKamin = function()
	local compositionKamin = CreateCompositionSequence()
	local compositionDuration = 8
	compositionKamin:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."l.png")
	element:SetName("Layer_1")
	compositionKamin:AddElement(element)
	element:SetHotSpot(147, 177.5)
	element:SetParentElement(compositionKamin)
	element:SetXY(723, 355)
 
	element:SetScaleX(2)
	element:SetScaleY(2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.26786295572917, 0.32)
	effector:SetKey(_TRACK_O, 0.375, 0.1)
	effector:SetKey(_TRACK_O, 0.53572591145833, 0.18)
	effector:SetKey(_TRACK_O, 0.64286295572917, 0.1)
	effector:SetKey(_TRACK_O, 0.91072591145833, 0.32)
	effector:SetKey(_TRACK_O, 1.125, 0)
	effector:SetKey(_TRACK_O, 1.39286295572917, 0.32)
	effector:SetKey(_TRACK_O, 1.5, 0.1)
	effector:SetKey(_TRACK_O, 1.66072591145833, 0.18)
	effector:SetKey(_TRACK_O, 1.76786295572917, 0.1)
	effector:SetKey(_TRACK_O, 2.03572591145833, 0.32)
	effector:SetKey(_TRACK_O, 2.25, 0)
	effector:SetKey(_TRACK_O, 2.51786295572917, 0.32)
	effector:SetKey(_TRACK_O, 2.625, 0.1)
	effector:SetKey(_TRACK_O, 2.78572591145833, 0.18)
	effector:SetKey(_TRACK_O, 2.89286295572917, 0.1)
	effector:SetKey(_TRACK_O, 3.16072591145833, 0.32)
	effector:SetKey(_TRACK_O, 3.375, 0)
	effector:SetKey(_TRACK_O, 3.64286295572917, 0.32)
	effector:SetKey(_TRACK_O, 3.75, 0.1)
	effector:SetKey(_TRACK_O, 3.91072591145833, 0.18)
	effector:SetKey(_TRACK_O, 4.01786295572917, 0.1)
	effector:SetKey(_TRACK_O, 4.28572591145833, 0.32)
	effector:SetKey(_TRACK_O, 4.5, 0)
	effector:SetKey(_TRACK_O, 4.76786295572917, 0.32)
	effector:SetKey(_TRACK_O, 4.875, 0.1)
	effector:SetKey(_TRACK_O, 5.03572591145833, 0.18)
	effector:SetKey(_TRACK_O, 5.14286295572917, 0.1)
	effector:SetKey(_TRACK_O, 5.41072591145833, 0.32)
	effector:SetKey(_TRACK_O, 5.625, 0)
	effector:SetKey(_TRACK_O, 5.89286295572917, 0.32)
	effector:SetKey(_TRACK_O, 6, 0.1)
	effector:SetKey(_TRACK_O, 6.16072591145833, 0.18)
	effector:SetKey(_TRACK_O, 6.26786295572917, 0.1)
	effector:SetKey(_TRACK_O, 6.53572591145833, 0.32)
	effector:SetKey(_TRACK_O, 6.75, 0)
	effector:SetKey(_TRACK_O, 7.01786295572917, 0.32)
	effector:SetKey(_TRACK_O, 7.125, 0.1)
	effector:SetKey(_TRACK_O, 7.28572591145833, 0.18)
	effector:SetKey(_TRACK_O, 7.39286295572917, 0.1)
	effector:SetKey(_TRACK_O, 7.66072591145833, 0.32)
	effector:SetKey(_TRACK_O, 7.875, 0)
	effector:SetKey(_TRACK_O, 8.14286295572917, 0.32)
	effector:SetKey(_TRACK_O, 8.25, 0.1)
	effector:SetKey(_TRACK_O, 8.41072591145833, 0.18)
	effector:SetKey(_TRACK_O, 8.51786295572917, 0.1)
	effector:SetKey(_TRACK_O, 8.78572591145833, 0.32)
	effector:SetKey(_TRACK_O, 9, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."t_light.png")
	element:SetName("Layer_2")
	compositionKamin:AddElement(element)
	element:SetHotSpot(7.5, 6.5)
	element:SetParentElement(compositionKamin)
	element:SetXY(703, 419)
 
	element:SetScaleX(19.4)
	element:SetScaleY(17.9230769230769)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.26786295572917, 0.32)
	effector:SetKey(_TRACK_O, 0.375, 0.1)
	effector:SetKey(_TRACK_O, 0.53572591145833, 0.18)
	effector:SetKey(_TRACK_O, 0.64286295572917, 0.1)
	effector:SetKey(_TRACK_O, 0.91072591145833, 0.32)
	effector:SetKey(_TRACK_O, 1.125, 0)
	effector:SetKey(_TRACK_O, 1.39286295572917, 0.32)
	effector:SetKey(_TRACK_O, 1.5, 0.1)
	effector:SetKey(_TRACK_O, 1.66072591145833, 0.18)
	effector:SetKey(_TRACK_O, 1.76786295572917, 0.1)
	effector:SetKey(_TRACK_O, 2.03572591145833, 0.32)
	effector:SetKey(_TRACK_O, 2.25, 0)
	effector:SetKey(_TRACK_O, 2.51786295572917, 0.32)
	effector:SetKey(_TRACK_O, 2.625, 0.1)
	effector:SetKey(_TRACK_O, 2.78572591145833, 0.18)
	effector:SetKey(_TRACK_O, 2.89286295572917, 0.1)
	effector:SetKey(_TRACK_O, 3.16072591145833, 0.32)
	effector:SetKey(_TRACK_O, 3.375, 0)
	effector:SetKey(_TRACK_O, 3.64286295572917, 0.32)
	effector:SetKey(_TRACK_O, 3.75, 0.1)
	effector:SetKey(_TRACK_O, 3.91072591145833, 0.18)
	effector:SetKey(_TRACK_O, 4.01786295572917, 0.1)
	effector:SetKey(_TRACK_O, 4.28572591145833, 0.32)
	effector:SetKey(_TRACK_O, 4.5, 0)
	effector:SetKey(_TRACK_O, 4.76786295572917, 0.32)
	effector:SetKey(_TRACK_O, 4.875, 0.1)
	effector:SetKey(_TRACK_O, 5.03572591145833, 0.18)
	effector:SetKey(_TRACK_O, 5.14286295572917, 0.1)
	effector:SetKey(_TRACK_O, 5.41072591145833, 0.32)
	effector:SetKey(_TRACK_O, 5.625, 0)
	effector:SetKey(_TRACK_O, 5.89286295572917, 0.32)
	effector:SetKey(_TRACK_O, 6, 0.1)
	effector:SetKey(_TRACK_O, 6.16072591145833, 0.18)
	effector:SetKey(_TRACK_O, 6.26786295572917, 0.1)
	effector:SetKey(_TRACK_O, 6.53572591145833, 0.32)
	effector:SetKey(_TRACK_O, 6.75, 0)
	effector:SetKey(_TRACK_O, 7.01786295572917, 0.32)
	effector:SetKey(_TRACK_O, 7.125, 0.1)
	effector:SetKey(_TRACK_O, 7.28572591145833, 0.18)
	effector:SetKey(_TRACK_O, 7.39286295572917, 0.1)
	effector:SetKey(_TRACK_O, 7.66072591145833, 0.32)
	effector:SetKey(_TRACK_O, 7.875, 0)
	effector:SetKey(_TRACK_O, 8.14286295572917, 0.32)
	effector:SetKey(_TRACK_O, 8.25, 0.1)
	effector:SetKey(_TRACK_O, 8.41072591145833, 0.18)
	effector:SetKey(_TRACK_O, 8.51786295572917, 0.1)
	effector:SetKey(_TRACK_O, 8.78572591145833, 0.32)
	effector:SetKey(_TRACK_O, 9, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."resh.png")
	element:SetName("Layer_3")
	compositionKamin:AddElement(element)
	element:SetHotSpot(87, 35)
	element:SetParentElement(compositionKamin)
	element:SetXY(715, 429)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_4")
	compositionKamin:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionKamin)
	element:SetXY(706, 409)
 
	element:SetScaleX(-1.80350349025297)
	element:SetScaleY(1.88649734934095)
	element:SetAngle(0.06885648922236)
	element:SetOpacity(0.37)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_5")
	compositionKamin:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionKamin)
	element:SetXY(708, 402)
 
	element:SetScaleX(2.22616384108219)
	element:SetScaleY(2.58233668499648)
	element:SetAngle(0.06885648922236)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."fire_[].png")
	element:SetName("Layer_6")
	compositionKamin:AddElement(element)
	element:SetHotSpot(29.5, 19)
	element:SetParentElement(compositionKamin)
	element:SetXY(724, 415)
 
	element:SetScaleX(1.51030045716758)
	element:SetScaleY(1.71893518401371)
	element:SetAngle(0.24579548929288)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."ogon.png")
	element:SetName("Layer_7")
	compositionKamin:AddElement(element)
	element:SetHotSpot(97, 49)
	element:SetParentElement(compositionKamin)
	element:SetXY(713, 439)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 8)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.4307861328125, 0.25)
	effector:SetKey(_TRACK_O, 0.67692057291667, 0.02)
	effector:SetKey(_TRACK_O, 0.923095703125, 0.16)
	effector:SetKey(_TRACK_O, 1.29231770833333, 0)
	effector:SetKey(_TRACK_O, 1.84615071614583, 0.15)
	effector:SetKey(_TRACK_O, 2.15384928385417, 0)
	effector:SetKey(_TRACK_O, 2.83076985677083, 0.3)
	effector:SetKey(_TRACK_O, 3.26155598958333, 0.03)
	effector:SetKey(_TRACK_O, 3.69230143229167, 0.17)
	effector:SetKey(_TRACK_O, 4, 0)
	effector:SetKey(_TRACK_O, 4.4307861328125, 0.25)
	effector:SetKey(_TRACK_O, 4.67692057291667, 0.02)
	effector:SetKey(_TRACK_O, 4.923095703125, 0.16)
	effector:SetKey(_TRACK_O, 5.29231770833333, 0)
	effector:SetKey(_TRACK_O, 5.84615071614583, 0.15)
	effector:SetKey(_TRACK_O, 6.15384928385417, 0)
	effector:SetKey(_TRACK_O, 6.83076985677083, 0.3)
	effector:SetKey(_TRACK_O, 7.26155598958333, 0.03)
	effector:SetKey(_TRACK_O, 7.69230143229167, 0.17)
	effector:SetKey(_TRACK_O, 8, 0)
	effector:Play()
 
	compositionKamin:Play()
 
	return compositionKamin
end
 
